Subject: Re: [Teas] FW: Pre last call comments in draft-ietf-teas-network-assigned-upstream-label

From: Vishnu Pavan Beeram <[email-masked]>
Date: Mon, 13 Mar 2017 06:09:07 -0400

Lou, Hi!

We just posted a new revision (-05) for this draft. Please do go through
the diffs and let us know if there are still any concerns.
The use-case (example) currently discussed in Section 3 can be moved to an
Appendix if needed.

Please see inline (prefixed VPB) for responses to your comments.

Regards,
-Pavan

>
>> On 2/1/17, 2:20 PM, "Lou Berger" <[email-masked]> wrote:
>>
>> Hi,
>>
>>     I've done the typical review of this document in preparation for LC
>> (as shepherd) and have some comments:
>>
>> 1) I think section 2, 3, and the 1st paragraph of 4 are reasonable
>> background which was helpful getting the document to this level of
>> maturity, but now largely detracts from the focus of the document, i.e.,
>> a protocol extension.  I recommend (at your/the WG's discretion)
>> dropping this text or moving it to an appendix.
>>
>> With this move the 2nd paragraph of section 4 can be integrated with the
>> introduction.
>>
>
[VPB] We moved some text from the 2nd paragraph of Section 4 to Section 1
and got rid of Sections 2, 3 and 4.

>
>> 2) The last paragraph of Section6.1 and all of Section 6.2 -
>>
>> These sections define procedures, but are in a section that is basically
>> an example.  They should be moved in section, and section 6.2 should
>> discuss "Label Change" using wavelength as an example is of course fine.
>> Nit/style level comments:
>>
>
[VPB] All the new procedures introduced by this draft are covered in
section 2 (of the -05 version). The procedures mentioned in the last
paragraph
of the "Initial Setup" Section are use-case specific and not new (not
introduced
by this draft). This paragraph was added to address some use-case related
queries that came in during the early stages of the draft. We edited the
text a bit
to make it not give the impression that these procedures are new. If it is
still a
concern, we can consider removing this paragraph. As far as the "wavelength
change" section is concerned, we moved the "label change - error processing
procedure" text to Section 2.

>
>> - at the end of section 1.  Perhaps s/onto/nodes downstream in
>>
>
[VPB] Done.

> - section 5.2:
>> s/older implementation and doesn't understand/implementation that
>> doesn't support
>>
>
[VPB] Done.

>
>> - Section 6.1, the identified procedures should have references
>>
>
[VPB] Added References.

>
>> - Section 3 (if kept/moved):
>>
>>     - The above solution assumes the use of "symmetric labels" by
>>       default.
>>
>
[VPB] This section/statement no longer exists.

>
>> This may be true in some implementations, but certainly is true for all
>> or by specification.  Suggest drop or prepend "In some implementations, "
>>
>> - Section 4 (if kept/moved): drop "it is  an undocumented fact that"
>>
>
[VPB] This section/statement no longer exists.

>
>> That's it.  Please let me know what you think.
>> Lou
>>
>>
>>
>

---

From: Lou Berger <[email-masked]>
Date: Mon, 13 Mar 2017 06:39:19 -0400

Thanks Pavan,

I think my comments have been sufficiently addressed for the document to 
progress.  Given the proximity to the meeting, it'll have to wait a few weeks.

Lou

On March 13, 2017 6:09:59 AM Vishnu Pavan Beeram <[email-masked]> wrote:

> ----------
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas
>